Skip to main content
GET
/
v2
/
access
/
earnings
/
chart
Get earnings chart
curl --request GET \
  --url https://api-next.ofauth.com/v2/access/earnings/chart \
  --header 'apiKey: <api-key>' \
  --header 'x-connection-id: <api-key>'
{
  "monthlyTotal": [
    {
      "date": "<string>",
      "net": 123,
      "gross": 123
    }
  ]
}

Authorizations

apiKey
string
header
required

Your OFAuth API key for authenticating requests.

x-connection-id
string
header
required

Requires a connection via the x-connection-id header.

Query Parameters

startDate

Start of date range (ISO 8601)

endDate

End of date range (ISO 8601)

by
enum<string>

Earnings type to chart

Available options:
total,
messages,
tips,
stream,
post,
subscribes,
tips_profile,
tips_post,
tips_chat,
tips_stream,
tips_story,
ref
withTotal
boolean | null

Include total in response

monthlyTotal
boolean | null

Include monthly totals

Response

Successful response

monthlyTotal
object[]
{key}
object